Download it now!
Bug 85849 - android: Fetch thumbnails when idle
Summary: android: Fetch thumbnails when idle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2014-11-04 10:23 UTC by Jan Holesovsky
Modified: 2015-01-26 11:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-11-04 10:23:48 UTC
Currently all the thumbnails are fetched on the startup which takes a considerable amount of time; they should be fetched when idle at some later stage.
Comment 1 Jan Holesovsky 2014-11-04 10:29:23 UTC
[talking about the thumbnails of "parts" in the viewer - eg. the slides]
Comment 2 Commit Notification 2014-12-22 12:23:01 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6fd07e0e46fa6ecba38cf7bd2f0e0312eaf7600

fdo#85849 on-demand create thumbnails of tiles in the sidebar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jan Holesovsky 2015-01-26 11:05:40 UTC
This is in now, thanks! :-)